Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.common
Class DocumentHelper

    java.lang.Object
      org.apache.xmlbeans.impl.common.DocumentHelper

    public final class DocumentHelper

extends java.lang.Object

Method Summary
`static Document` | `createDocument()` Creates a new DOM Document
`static javax.xml.parsers.DocumentBuilder` | `newDocumentBuilder(XmlOptionsBean xmlOptions)` Creates a new document builder, with sensible defaults
`static Document` | `readDocument(XmlOptionsBean xmlOptions, InputSource inp)` Parses the given stream via the default (sensible) DocumentBuilder
`static Document` | `readDocument(XmlOptionsBean xmlOptions, java.io.InputStream inp)` Parses the given stream via the default (sensible) DocumentBuilder

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newDocumentBuilder

    public static javax.xml.parsers.DocumentBuilder newDocumentBuilder(XmlOptionsBean xmlOptions)

  Creates a new document builder, with sensible defaults

  Parameters:
    `xmlOptions` -
  Throws:
    `java.lang.IllegalStateException` - If creating the DocumentBuilder fails, e.g. due to `ParserConfigurationException`.

### readDocument

    public static Document readDocument(XmlOptionsBean xmlOptions,
                                        java.io.InputStream inp)
                                 throws java.io.IOException,
                                        SAXException

  Parses the given stream via the default (sensible) DocumentBuilder

  Parameters:
    `inp` - Stream to read the XML data from
  Returns:
    the parsed Document
  Throws:
    `java.io.IOException`
    `SAXException`

### readDocument

    public static Document readDocument(XmlOptionsBean xmlOptions,
                                        InputSource inp)
                                 throws java.io.IOException,
                                        SAXException

  Parses the given stream via the default (sensible) DocumentBuilder

  Parameters:
    `inp` - sax source to read the XML data from
  Returns:
    the parsed Document
  Throws:
    `java.io.IOException`
    `SAXException`

### createDocument

    public static Document createDocument()

  Creates a new DOM Document

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD